Bug 26654 - Add item number column to item search results and CSV export
Summary: Add item number column to item search results and CSV export
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Laura Escamilla
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-09 21:32 UTC by Lucas Gass
Modified: 2024-05-29 12:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 26654: Add item number column to item search (2.54 KB, patch)
2020-10-09 21:35 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26654: Added item number column to item search (6.25 KB, patch)
2024-04-04 12:36 UTC, Laura Escamilla
Details | Diff | Splinter Review
Bug 26654: Added item number column to item search (6.31 KB, patch)
2024-04-04 13:01 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26654: Added item number column to item search (6.49 KB, patch)
2024-05-10 18:57 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-10-09 21:32:49 UTC
When doing an item search some libraries would find it useful if there was a column showing the item number
Comment 1 Lucas Gass 2020-10-09 21:35:47 UTC
Created attachment 111436 [details] [review]
Bug 26654: Add item number column to item search

Test plan:
1. Apply patch
2. Do an item search and notice the column containing the item number
Comment 2 Owen Leonard 2020-10-13 11:26:20 UTC
itemsearch_item.csv.inc needs an update too so that the CSV export includes itemnumber.
Comment 3 Laura Escamilla 2024-04-04 12:36:06 UTC
Created attachment 164419 [details] [review]
Bug 26654: Added item number column to item search

Test plan:
1. Apply patch
2. Do an item search and notice the column containing the item number
Comment 4 ByWater Sandboxes 2024-04-04 13:01:17 UTC
Created attachment 164422 [details] [review]
Bug 26654: Added item number column to item search

Test plan:
1. Apply patch
2. Do an item search and notice the column containing the item number

Signed-off-by: Michelle Spinney <mspinney@clamsnet.org>
Comment 5 Nick Clemens (kidclamp) 2024-05-10 18:57:04 UTC
Created attachment 166603 [details] [review]
Bug 26654: Added item number column to item search

Test plan:
1. Apply patch
2. Do an item search and notice the column containing the item number

Signed-off-by: Michelle Spinney <mspinney@clamsnet.org>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Katrin Fischer 2024-05-13 11:36:39 UTC
I'll push this as it's undoubtedly useful. BUT: we won't be doing this again without column configuration. The result table is already bordering unuseable right now.
Comment 7 Katrin Fischer 2024-05-13 12:02:10 UTC
Pushed for 24.05!

Well done everyone, thank you!
Comment 8 Angela Berrett 2024-05-15 19:59:36 UTC
This might be the same or at least linked to bug 15787.
Comment 9 Katrin Fischer 2024-05-16 07:14:27 UTC
(In reply to Angela Berrett from comment #8)
> This might be the same or at least linked to bug 15787.

Hi Angela, it definitely added the itemnumber to the CSV export, I had tested that.
Comment 10 Fridolin Somers 2024-05-29 12:24:00 UTC
Not backported to 23.11.x